> For the complete documentation index, see [llms.txt](https://docs.maplytics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maplytics.com/features/maplytics-api/by-territory.md).

# By Territory

Suppose you want to search records within specified territories. For this, we have created the custom action with name “**Inogic.Maplytics.API.Territory**” (**ikl\_InogicMaplyticsAPITerritory**).

Custom action accepts the following parameters.

* **Territories:** Specify the names of territories. E.g., “FL, NY”.
* **Entity**: Specify the entity name. e.g., “Account"
* **ViewName**: Specify the view name. e.g., “My active accounts”

When user passed the required parameters and executes this action then the action will return the collection of records.&#x20;

To execute region action using the C#, use following code.

```
string requestName = "ikl_InogicMaplyticsAPITerritory";

                    //create request object
                    OrganizationRequest orgReq = new OrganizationRequest(requestName);

                    //for Territories
                    orgReq["Territories"] = "NY";                  

                    //Entity & view
                    orgReq["Entity"] = "account";
                    orgReq["ViewName"] = "My Active Accounts";

                    OrganizationResponse response = service.Execute(orgReq);

                    EntityCollection recordsCollection = (EntityCollection)response.Results["RecordsCollection"];

```

To execute the action using the javascript (web api) you can use following code.

```
//By territory
        var actionObj = {
            Territories: "NY",          
            Entity: "account",
            ViewName: "My Active Accounts",
        }

        // call this function to execute the action 
        execute(actionObj, "ikl_InogicMaplyticsAPITerritory()", function (data) {

            alert("Success: " + data);

        }, function (error) {
            debugger;
            alert("Error: " + error.message);
        });

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maplytics.com/features/maplytics-api/by-territory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
